# PhasicFlow: src/Interaction/contactSearch/methods/NBSLoop.hpp File Reference

NBSLoop.hpp File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

CellType | currentCell (i, j, k)
| while (m > -1)

## Variables

int32 | m = this->head_(i,j,k)
int32 | n = -1

## Function Documentation

## currentCell()

CellType currentCell | ( | i | ,
|  | j | ,
|  | k |
| ) |  |

Referenced by while().

Here is the caller graph for this function:

## while()

while | ( | m | ,
|  | - | 1
| ) |  |

Definition at line 26 of file NBSLoop.hpp.

References currentCell(), m, n, and pFlow::sphereSphereCheck().

Here is the call graph for this function:

## Variable Documentation

## m

int32 m = this->head_(i,j,k)

Definition at line 22 of file NBSLoop.hpp.

Referenced by while().

## n

int32 n = -1

Definition at line 24 of file NBSLoop.hpp.

Referenced by while().